#!/usr/bin/perl


#les variables 


my $ligne ;


use strict;
use Getopt::Std ;


my $version = "version 1.0";


use vars qw($opt_i $opt_o $opt_l  $opt_v $opt_h);

#==============================================================================
#==============================================================================
#
#        
#                           Gestion des options
#
#==============================================================================

#<===========Copyright========>

my $copyright = "\n";
$copyright .= "    Perl-dispatch-jc v. $version.\n\n";
$copyright .= "    Utilitaire d'index d'un fichier de log.\n";
$copyright .= "    Copyright (c) 2000 Kévin Reverchon <kreverchon\@ac-dijon.fr>.\n\n";
$copyright .= "    Perl-dispatch-jc EST UN LOGICIEL LIBRE. SE RÉFÉRER AU CODE SOURCE\n";
$copyright .= "    POUR LA LICENCE D'UTILISATION ET DE COPIE.\n\n";

#<===========Message d'Aide==========>


my $help = "\n";
$help .= "Perl-dispatch-jc v. $version.\n";
$help .= "Usage : 'perl-dispatch-jc -i fichier_log pour le tail -o fichier log du jour courant -l fichier contenant le nuémro de ligne pour le dispatch des log du jour courant  '\n\n";
$help .= " perl-dispatch-jc -h : affiche ce message d'aide.\n";
$help .= " perl-dispatch-jc -v : affiche la version et la notice de copyright de CRéOLE.\n";

#<============lecture de la liste des options============>

unless( getopts('i:o:l:vh') )
{
    print STDERR $help;
    exit 0;
}

#affichage la version et le copyright si option -v

if( $opt_v )
{
    print STDERR $copyright;
    exit 0;
}

#affichage de l'aide si option -h

if($opt_h) 
{
    print STDERR $help;
    exit 0;
}

#gestion de l'option i
# Si l'option -i manque, affichage de l'aide
my $fichier_log ;
if( $opt_i ) 
{


    $fichier_log = $opt_i ;
    
} else {

    print STDERR $help;
    exit 0;
        
}

my $fichier_log_jc ;

if ( $opt_o )
{

    $fichier_log_jc = $opt_o ;

} else {

    print STDERR $help ;
    exit 0 ;

}

#option pour indiqué le nom du fichier contenant le numero de ligne ou on doit commencer le tail pour dispatcher les log du jour courant
my $fichier_num_ligne ;
if ( $opt_l)
{
    $fichier_num_ligne = $opt_l ;
} else {

    print STDERR $help ;
    exit 0 ;
}
#=======================================================================================
#                                 fin gestion des options
#=======================================================================================



#ouvre le fichier ou on doit recupérer le numéro de ligne pour le tail pour le  jour courant
open(FICHIER, $fichier_num_ligne );

#lit la seule ligne du ficier pour recuperer le numéro de ligne pour le tail
$ligne = <FICHIER> ;

chomp $ligne;
print $ligne ;
close (FICHIER) ;

#dispatch des log du jour courant a partir du numéro de ligne recuperé (tail fait sur le fichier access.log normalement)
`/usr/bin/tail +$ligne $fichier_log > $fichier_log_jc` ;  
