<?

// fabrication du menu filtrage
function lien_filtrage($mapage="") {
   // liste des pages concernées
   $liens=array( "Retour"=>"accueil-squid.php"
                ,"Filtres"=>"filtres.php"
		,"Filtrage"=>"filtrage.php"
		,"Liste noire"=>"liste-noire.php"
		,"Liste blanche"=>"liste-blanche.php"
		,"Extensions"=>"extensions.php"
		,"Types MIME"=>"types_mime.php"
		,"Signalement"=>"signalement.php"
   );
   $txt="|";
   foreach ($liens as $lib=>$page) {
      if ($page==$mapage)
         $txt.="<a href=$page><b>&nbsp;$lib&nbsp;</b></a>|";
      else 
         $txt.="<a href=$page>&nbsp;$lib&nbsp;</a>|";
   }
   return ($txt);
}

// fabrication du menu accès
function lien_acces($mapage="") {
   // liste des pages concernées
   $liens=array( "Retour"=>"accueil-squid.php"
                ,"Postes"=>"postes.php"
		,"Utilisateurs"=>"utilisateurs.php"
		,"Modérateurs"=>"utilisateurs-speciaux.php"
   );
   $txt="|";
   foreach ($liens as $lib=>$page) {
      if ($page==$mapage)
         $txt.="<a href=$page><b>&nbsp;$lib&nbsp;</b></a>|";
      else 
         $txt.="<a href=$page>&nbsp;$lib&nbsp;</a>|";
   }
   return ($txt);
}



// ajout d'une ligne dans une base
function ajout_lignes($lignes,$file) {
   if (file_exists($file)) {
      $liste=array_merge(file($file),$lignes);
   }else{
      $liste=$lignes;
   }
   // suppression des \n
   $liste=array_map("rtrim",$liste);
   // vérification des doublons
   $liste = array_unique($liste);
   // tri du tableau
   sort($liste);
   //reconstitution du fichier
   $buffer = implode("\n",$liste);
   // écriture   
   $file_handler = fopen($file,'w') ;
   fwrite($file_handler,$buffer) ;
   fclose($file_handler) ;
   #String2File($buffer, $file);   
}


// suppression de lignes dans une base
function supprime_lignes($lignes,$file) {
   $liste=file($file);
   // suppression des \n
   $liste=array_map("rtrim",$liste);
   // suppression des lignes
   $liste=array_diff($liste, $lignes) ;
   //reconstitution du fichier
   $buffer = implode("\n",$liste);
   String2File($buffer, $file) ;  
}

?>
