<?
/*
=======================================================================

   Formatage de la sortie html 
   $Id: formatage-html-lib.inc,v 1.1.1.1 2004/01/05 10:17:33 eole Exp $
=======================================================================

-

Formatage de l'affichage des données de log

- 

 Fonctions : 

// affichage du navigateur horaire

htm_affiche_NavHoraire
htm_affiche_ElementHoraire

// affichage du navigateur par page

htm_affiche_NavPage

-

 Remarques :


-
=======================================================================
*/


/*
=======================================================================

   Construction du navigateur horaire

=======================================================================
*/

  /*
    htm_affiche_NavHoraire
    -

    génération du navigateur horaire

    -
    Paramètres : 

    $titre // le référant , l'ip considéré, un texte génériques
    du type : résultats pour le jour considéré.

    -
    Résultat :
    
    string html (le navigateur horaire proprement dit)
    -
    Globales :
    vect_trancheHoraire 
    - 
    Remarques : 
    
    Récupérer url_horaire et renseigner la variable de session correspondante
    
  */

function htm_affiche_NavHoraire() 
{

  global $vect_trancheHoraire , $url_horaire ;

  // en-tête affichant le nom du référant

  $buffer = "<table border=\"0\" cellpadding=\"2\" cellspacing=\"1\" width=\"100%\">" ;

  $buffer .= "<tr><td align=\"center\" bgcolor=\"#2E7EE8\"><font color=\"#FFFFFF\" size=\"1\" face=\"Tahoma\"><b>" ;

  $buffer .= $int_titre ;

  $buffer .= "</b></font></td></tr></table>" ;

  // barre de navigation proprement dite
  
  $buffer .= "<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" >" ;
  $buffer .= "<tr><td width=\"100%\" bgcolor=\"#2567BC\"><table border=\"0\" width=\"100%\"><tr><td align=\"center\" valign=\"top\" width=\"100%\" bgcolor=\"#FFFFFF\" cellpadding=\"0\" cellspacing=\"1\">" ;

  foreach ( $vect_trancheHoraire as $str_clef => $str_val ) {

    $url_horaire_nav = "int-affiche-squid-horaire.php?url_horaire=".$str_clef ;

    $buffer .= htm_affiche_ElementHoraire( $str_clef , $url_horaire_nav ) ;
    
  }

  $buffer .= "</td></tr></table></td></tr></table>" ;

  return $buffer ;

}

  /*
    htm_affiche_ElementHoraire
    -

    Formate un lien pour le navigateur horaire

    -
    Paramètres : 

    $str_TrancheHoraire // le libellé du lien
    $url_Href // l'adresse du lien

    -
    Résultat :
    
    string html (le libellé et le lien proprement dit)
    -
    Globales :

    aucune
    - 
    Remarques : 
    
    
  */

function htm_affiche_ElementHoraire( $str_trancheHoraire , $url_href )  
{

  $buffer = "<a href=\"" ;

  // insérer ici le lien de navigation

  $buffer .= $url_href  ; 

  $buffer .= "\"><font size=\"1\" face=\"Tahoma\">" ;

  // insérer ici la tranche horaire

  $buffer .= $str_trancheHoraire  ; 

  $buffer .= "</font></a><font size=\"1\" face=\"Tahoma\"> | </font>" ;

  return $buffer ;

}

/*
=======================================================================

   navigateur par pages : gestion des boutons de pages

=======================================================================
*/

  /*
    htm_affiche_NavPage
    -
    affiche les boutons de navigation Page Suivante, Page Précédente
    ou seulement l'un des deux suivant les demandes
    -
    Paramètres : 
    $bool_btnPrecedent
    ,$url_lienPrecedent
    , $bool_btnSuivant 
    ,$url_lienSuivant
    -
    Résultat :

    -
    Globales :
    - 
  */

function htm_affiche_NavPage( 
			     $bool_btnPrecedent
			     ,$url_lienPrecedent
			     ,$bool_btnSuivant 
			     ,$url_lienSuivant
			     )   
{

  $str_buffer = "<TABLE WIDTH=\"100%\" BORDER=\"0\" CELLSPACING=\"0\" CELLPADDING=\"0\">
<TR><TD ALIGN=\"LEFT\" VALIGN=\"MIDDLE\" WIDTH=\"16\">" ;


  if ( $bool_btnPrecedent )  
    {

      // lien sur image précédent
      $str_buffer .= "<A CLASS=\"lien\" HREF=\"" ;
      $str_buffer .= $url_lienPrecedent ;
      $str_buffer .= "\">" ;

      // image précédent 
      $str_buffer .="<IMG SRC=\"image/htm-nav-page-gauche.gif\" WIDTH=\"16\" HEIGHT=\"21\">" ;

      // fermeture du lien
      $str_buffer .= "</A>" ;

      $str_buffer .= "</TD><TD ALIGN=\"LEFT\" VALIGN=\"MIDDLE\" WIDTH=\"3%\" NOWRAP>" ;

      // texte précédent
      $str_buffer .= "<FONT SIZE=\"1\" FACE=\"Tahoma\" COLOR=\"#2E7EE8\">" ;


      // lien sur text précédent
      $str_buffer .= "<A CLASS=\"lien\" HREF=\"" ;
      $str_buffer .= $url_lienPrecedent ;
      $str_buffer .= "\">" ;

      $str_buffer .= "page précédente" ;

      // fermeture du lien
      $str_buffer .= "</A>" ;

      $str_buffer .= "</FONT>" ;

    } else  
      {

	// cases vides 

      $str_buffer .="<IMG SRC=\"image/pixel.gif\" WIDTH=\"16\" HEIGHT=\"21\">" ;

      $str_buffer .= "</TD><TD ALIGN=\"LEFT\" VALIGN=\"MIDDLE\" WIDTH=\"3%\" NOWRAP>" ;

      $str_buffer .= "<FONT SIZE=\"1\" FACE=\"Tahoma\" COLOR=\"#2E7EE8\"> &nbsp; </FONT>" ;

      }

  
  $str_buffer .= "</TD><TD WIDTH=\"100%\">&nbsp;</TD><TD ALIGN=\"RIGHT\" VALIGN=\"MIDDLE\" NOWRAP WIDTH=\"3%\">" ;



  if ( $bool_btnSuivant )   
    {

      // texte suivant
      $str_buffer .= "<FONT SIZE=\"1\" FACE=\"Tahoma\" COLOR=\"#2E7EE8\">" ;

      // lien sur texte suivant
      $str_buffer .= "<A CLASS=\"lien\" HREF=\"" ;
      $str_buffer .= $url_lienSuivant ;
      $str_buffer .= "\">" ;

      $str_buffer .= "page suivante" ;

      // fermeture du lien
      $str_buffer .= "</A>" ;

      $str_buffer .= "</FONT>" ;

      $str_buffer .= "</TD><TD ALIGN=\"RIGHT\" WIDTH=\"16\" VALIGN=\"MIDDLE\">" ;

      // lien sur image suivante
      $str_buffer .= "<A CLASS=\"lien\" HREF=\"" ;
      $str_buffer .= $url_lienSuivant ;
      $str_buffer .= "\">" ;

      // image suivante
      $str_buffer .= "<IMG SRC=\"image/htm-nav-page-droit.gif\" WIDTH=\"16\" HEIGHT=\"21\">" ;

      // fermeture du lien
      $str_buffer .= "</A>" ;

    } else  
      {

	// cases vides 

      $str_buffer .= "<FONT SIZE=\"1\" FACE=\"Tahoma\" COLOR=\"#2E7EE8\"> &nbsp; </FONT>" ;

      $str_buffer .= "</TD><TD ALIGN=\"RIGHT\" WIDTH=\"16\" VALIGN=\"MIDDLE\">" ;


      $str_buffer .= "<IMG SRC=\"image/pixel.gif\" WIDTH=\"16\" HEIGHT=\"21\">" ;

      }

  $str_buffer .= "</TD></TR></TABLE>" ;

  return $str_buffer ;

}

?>
